gnutls_certificate_set_verify_limits(3)

NAME
gnutls_certificate_set_verify_limits - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_set_verify_limits(gnutls_certificate_credentials_t res, unsigned int max_bits, unsigned int max_depth);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials structure

unsigned int max_bits
    is the number of bits of an acceptable certificate (default 8200)

unsigned int max_depth
    is maximum depth of the verification of a certificate chain (default 5)

DESCRIPTION
This function will set some upper limits for the default verification function, gnutls_certificate_verify_peers2(), to avoid denial of service attacks. You can set them to zero to disable limits.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/